{% macro license_string(pkg_dict) %}
    {% if 'license_url' in pkg_dict %}
        <a href="{{  pkg_dict.license_url }}" rel="dc:rights">{{ pkg_dict.license_title }}</a>
    {% else %}
        <span property="dc:rights">{{ pkg_dict.license_title }}</span>
    {% endif %}
{% endmacro %}


{% block license %}
    {% if text_only %}
        {% if pkg_dict.license_id %}
            {{ license_string(pkg_dict) }}
        {% else %}
            {{ _('No Licenc e Provided') }}
        {% endif %}
    {% else %}
            {% block license_wrapper %}
                <section class="module module-narrow module-shallow license">
                    {% block license_title %}
                        <h2 class="module-heading"><i class="icon-medium icon-exclamation-sign"></i> {{ _('Licence') }}</h2>
                    {% endblock %}
                    {% block license_content %}
                        <p class="module-content">
                            {% block license_content_inner %}
                                {% if pkg_dict.license_id %}

                                    {% set assistant_data = h.get_license_assistant_data(pkg_dict.license_id) %}

                                    {{ license_string(pkg_dict) }}
                                    {% if pkg_dict.isopen %}
                                        <a href="http://opendefinition.org/okd/" title="{{ _('This dataset satisfies the Open Definition.') }}">
                                            <img class="open-data" src="{{ h.url_for_static('/base/images/od_80x15_blue.png') }}" alt="[Open Data]" />
                                        </a>
                                    {% endif %}

                                    {% if not assistant_data %}
                                        <br /><br />
                                        {% if pkg_dict.original_source %}
                                            {{ _('No additional licence information found, please check source for further information about the licence.') }}
                                            <i class="icon-medium icon-external-link"> </i><a href="{{ pkg_dict.original_source }}" target="_blank">{{ _('Go to Source') }}</a>
                                        {% else %}
                                            {{ _('No additional licence information found.') }}
                                        {% endif %}
                                    {% endif %}

                                    {% if assistant_data %}
                                        <ul class="nav nav-simple">
                                            <li class="nav-item"><a href="{{ h.main_menu_link('/content/filter-licenses')}}" target="_blank"><i class="icon-th"></i>{{ _('Open Licence Assistant') }}</a></li>
                                        </ul>
                                    {% endif %}

                                {% else %}
                                    {% if pkg_dict.original_source %}
                                        {{ _('No licence information found, please check source for further information about the licence.') }}
                                        <i class="icon-medium icon-external-link"> </i><a href="{{ pkg_dict.original_source }}" target="_blank">{{ _('Go to Source') }}</a>
                                    {% else %}
                                        {{ _('No licence information found.') }}
                                    {% endif %}

                                {% endif %}

                            {% endblock %}
                        </p>
                    {% endblock %}
                </section>
            {% endblock %}
    {% endif %}
{% endblock %}
